Issue for bi_pos_reports (#2,669)
Status: OPEN
Date: 24/08/2021
ID: 2,669
S/O number: SO2021/1526882
Reviewer: Hiral Bhatt
Module Name: bi_pos_reports
Version: 14.0
Tags:

Assigned to
Contact
Jay Pardasani
jay.pardasani@browseinfo.in

Description
hello, every time i install the module i get this error when i launce the point of sale

Error:

Odoo Server Error



Traceback (most recent call last):

File "C:\Program Files (x86)\Odoo\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

result = request.dispatch()

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 684, in dispatch

result = self._call_function(**self.params)

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 360, in _call_function

return checked_call(self.db, *args, **kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\service\model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 348, in checked_call

result = self.endpoint(*a, **kw)

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 913, in __call__

return self.method(*args, **kw)

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 532, in response_wrap

response = f(*args, **kw)

File "C:\Program Files (x86)\Odoo\server\odoo\addons\web\controllers\main.py", line 1389, in call_kw

return self._call_kw(model, method, args, kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\addons\web\controllers\main.py", line 1381, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\api.py", line 392, in call_kw

result = _call_kw_model(method, model, args, kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\api.py", line 365, in _call_kw_model

result = method(recs, *args, **kwargs)

File "C:\Program Files (x86)\Odoo\server\odoo\models.py", line 4833, in search_read

result = records.read(fields)

File "C:\Program Files (x86)\Odoo\server\odoo\models.py", line 3014, in read

return self._read_format(fnames=fields, load=load)

File "C:\Program Files (x86)\Odoo\server\odoo\models.py", line 3034, in _read_format

vals[name] = convert(record[name], record, use_name_get)

File "C:\Program Files (x86)\Odoo\server\odoo\models.py", line 5660, in __getitem__

return self._fields[key].__get__(self, type(self))

File "C:\Program Files (x86)\Odoo\server\odoo\fields.py", line 1019, in __get__

self.compute_value(recs)

File "C:\Program Files (x86)\Odoo\server\odoo\fields.py", line 1175, in compute_value

records._compute_field_value(self)

File "C:\Program Files (x86)\Odoo\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value

return super()._compute_field_value(field)

File "C:\Program Files (x86)\Odoo\server\odoo\models.py", line 4055, in _compute_field_value

getattr(self, field.compute)()

File "C:\Program Files (x86)\Odoo\server\odoo\addons\point_of_sale\models\pos_session.py", line 115, in _compute_cash_balance

result = self.env['pos.payment'].read_group([('session_id', '=', self.id), ('payment_method_id', '=', cash_payment_method.id)], ['amount'], ['session_id'])

File "C:\Program Files (x86)\Odoo\server\odoo\fields.py", line 3815, in __get__

raise ValueError("Expected singleton: %s" % record)

Exception



The above exception was the direct cause of the following exception:



Traceback (most recent call last):

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 640, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "C:\Program Files (x86)\Odoo\server\odoo\http.py", line 316, in _handle_exception

raise exception.with_traceback(None) from new_cause

ValueError: Expected singleton: pos.session(61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1)

Message and communication history